


from Ft.Ods import Database
from Ft.Ods.StorageManager.Adapters import Constants
import test_metadata_util
def Test(tester,db,klass):

    tester.startGroup("Specifier Interface on %s Driver %s" % (klass.__name__,tester.test_data['driver']))

    test_metadata_util.test_primitive_type(tester,db,klass,'name','Name')

    def GetType(db,values):
        return db.schema().resolve('::pk_short')
    test_metadata_util.test_form_drop(tester,db,klass,'type',GetType)
    tester.groupDone()
